GNU bug report logs - #35575
Some graphical programs borked with Guix on Arch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Brendan Tildesley <mail@HIDDEN>; dated Sun, 5 May 2019 08:00:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 35575 <at> debbugs.gnu.org:


Received: (at 35575) by debbugs.gnu.org; 30 Mar 2020 02:35:35 +0000
From mail@HIDDEN Sun Mar 29 00:01:13 2020
Received: from mout-p-102.mailbox.org ([80.241.56.152]:48542)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1jIP8K-0001mB-4H
 for 35575 <at> debbugs.gnu.org; Sun, 29 Mar 2020 00:01:13 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mout-p-102.mailbox.org (Postfix) with ESMTPS id 48qhhx6MmVzKmcP
 for <35575 <at> debbugs.gnu.org>; Sun, 29 Mar 2020 06:01:05 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1585454463;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding;
 bh=ZhvMCK2EsyFYkMoJSW5TD5Tkhip+3Z50ayXb3mEvdTU=;
 b=1KRvq2ujBqiIheSdCLYoYePH4VqSXR0HXEkULREAP4rN4IM/UCi59VzqNBAE1Rtc8N0wFb
 NODvt6SlzHcYP8j2GBeaH92AKBuZ0r3T9T+RjeuSF1EGXnNjjJhIrGAiARCmRUZnKvv3VI
 oUN503s8Tnw/eDrdOCB3f/y0PyzlhoplqkxfEqMAFyUAT3Om9d1elt+fE4mMlyuGRhJTkm
 3s/ZlwwzZf12PkkHfGy++DLbPWgrItA9x42r/DkB6yCKqOAhxBUkwMzGSPs4s2we1vbsHA
 UFLnhHUUY9kV96+sCOzBAHY1gGOvWprd2SKJ3cb1WeaC778cpCYmkZMWWSgTnw==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by gerste.heinlein-support.de (gerste.heinlein-support.de [91.198.250.173])
 (amavisd-new, port 10030)
 with ESMTP id fht8HIQ4o4Vb for <35575 <at> debbugs.gnu.org>;
 Sun, 29 Mar 2020 06:01:02 +0200 (CEST)
To: 35575 <at> debbugs.gnu.org
From: Brendan Tildesley <mail@HIDDEN>
Subject: Re: logo,Some graphical programs borked with Guix on Arch
Message-ID: <adaf110a-cf9a-4df5-b27a-f119a73f9b95@HIDDEN>
Date: Sun, 29 Mar 2020 15:00:57 +1100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35575
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
X-List-Received-Date: Sun, 29 Mar 2020 04:01:13 -0000

To follow up on this old bug, I believe the issue may come from here: 
https://gitlab.freedesktop.org/mesa/mesa/-/blob/master/src/compiler/glsl/shader_cache.cpp#L144

Mesa calculates a sha1 based on some things they reason affect the 
output, but likely it is not truely a function of every parameter than 
can make a difference to the shader output. When we updated from llvm6 
to lvm7 I'm guessing it changed the shaders somehow, and the llvm 
version is not included in the hash. Since I have zero understanding 
mesa, I'm not capable of determining the best solution. One thought is 
that if we included the mesa /gnu/store path in the calculation, this 
would make the hash's truely unique for a given mesa version, but also 
cached shaders that /would/ work would be routinely discarded after an 
update (i assume?). Would this be sensible or completely break something 
else? Should we just add the llvm version, or just start a mesa bug 
report asking for input?

The code:



ralloc_asprintf_append(&buf, "tf: %d ", prog->TransformFeedback.BufferMode);
    for (unsigned int i = 0; i < prog->TransformFeedback.NumVarying; i++) {
       ralloc_asprintf_append(&buf, "%s ",
prog->TransformFeedback.VaryingNames[i]);
    }

    /* SSO has an effect on the linked program so include this when 
generating
     * the sha also.
     */
    ralloc_asprintf_append(&buf, "sso: %s\n",
                           prog->SeparateShader ? "T" : "F");

    /* A shader might end up producing different output depending on the 
glsl
     * version supported by the compiler. For example a different path 
might be
     * taken by the preprocessor, so add the version to the hash input.
     */
    ralloc_asprintf_append(&buf, "api: %d glsl: %d fglsl: %d\n",
                           ctx->API, ctx->Const.GLSLVersion,
                           ctx->Const.ForceGLSLVersion);

    /* We run the preprocessor on shaders after hashing them, so we need to
     * add any extension override vars to the hash. If we don't do this the
     * preprocessor could result in different output and we could load the
     * wrong shader.
     */
    char *ext_override = getenv("MESA_EXTENSION_OVERRIDE");
    if (ext_override) {
       ralloc_asprintf_append(&buf, "ext:%s", ext_override);
    }

    /* DRI config options may also change the output from the compiler so
     * include them as an input to sha1 creation.
     */
    char sha1buf[41];
    _mesa_sha1_format(sha1buf, ctx->Const.dri_config_options_sha1);
    ralloc_strcat(&buf, sha1buf);

    for (unsigned i = 0; i < prog->NumShaders; i++) {
       struct gl_shader *sh = prog->Shaders[i];
       _mesa_sha1_format(sha1buf, sh->sha1);
       ralloc_asprintf_append(&buf, "%s: %s\n",
_mesa_shader_stage_to_abbrev(sh->Stage), sha1buf);







Information forwarded to bug-guix@HIDDEN:
bug#35575; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 May 2019 09:43:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 05:43:18 2019
Received: from localhost ([127.0.0.1]:60338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hOJ6c-0000ZU-1n
	for submit <at> debbugs.gnu.org; Wed, 08 May 2019 05:43:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1hOJ6a-0000ZG-86
 for submit <at> debbugs.gnu.org; Wed, 08 May 2019 05:43:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:52338)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boris.dekshteyn@HIDDEN>)
 id 1hOJ6U-0003In-6S
 for submit <at> debbugs.gnu.org; Wed, 08 May 2019 05:43:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50405)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1hOJ6T-00043J-6Q
 for bug-guix@HIDDEN; Wed, 08 May 2019 05:43:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1hOJ6R-0003Hf-Rd
 for bug-guix@HIDDEN; Wed, 08 May 2019 05:43:09 -0400
Received: from mail-lj1-x235.google.com ([2a00:1450:4864:20::235]:39457)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boris.dekshteyn@HIDDEN>)
 id 1hOJ6R-0003GB-Bt
 for bug-guix@HIDDEN; Wed, 08 May 2019 05:43:07 -0400
Received: by mail-lj1-x235.google.com with SMTP id q10so16896388ljc.6
 for <bug-guix@HIDDEN>; Wed, 08 May 2019 02:43:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=ytYRG0a5STxp0lzzs/Xq+d1YvOeWcRImEmdOTc6jAGA=;
 b=UjetpOgyCHGrl0Mj3pPB4GOgpBbqcliZXN93qEfZvpF92sDZgWP2pFK1uiYa16Vl0q
 c4C1BLkCxKOx5ezsw8fUEphP4e2djGa+C9FkH7W8KmMEWLMUcgvKiaBRYVeGAE/GMJT+
 ePHcSp3oOuV7KrrfKr1ZMUA4dJh2Ar0hnjjyoOEF147amVpThtvHCFyrlu0C1KkMdbAE
 ApUtFLrmKXCFn+Ry+1Fm63y6R7wm9elxaHL9pn6fL71q0CkVOP/L7HlwjEEn4eQCrK4v
 0AMSH67ixtEQ46kvB1Bc/F+i6pBBFD0ajjMLAXHirN8DLRj99xbszW7HW8ykGYUec66J
 7uWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=ytYRG0a5STxp0lzzs/Xq+d1YvOeWcRImEmdOTc6jAGA=;
 b=LDBfCMo0Up9fI8/gms7mus4yIdQ9YexWdeqgnigOSEEdEFL64S7wKtJd6u9kyA/d+E
 kU2ncVuECrlaCOvJRejtJmG0PgslirEhonG90FtUaQZWyZkEVqLC1e6TIIzF3mCmeA1k
 /gxwYn5s/LklZIzk0w8Csg7c4T+P0dqKmTME3dlY5E9Rrp0MeMkCVSWvk55b0hujhMYs
 UxA2Rqr/Af3Aw5QSuySyY0giX+SnNkRROXpEn7KEtPpTXrUDP7mU3BV0L2aOpYp9qdip
 MMNSIaHHAphIX5om00ri7Lopu5eiY3jB1Pa0/3FQqIz2iia66bGvNn7hUa4VgiP8BTH8
 Jl4w==
X-Gm-Message-State: APjAAAWitYpSXMgoc9SMEvpGqM7DB2neb0ugtJQsodpf6bzUuUiw20Sm
 CrR1+mDtGjY8tR+PlG25xx7QVxjJ
X-Google-Smtp-Source: APXvYqxgqafEsu6EZGPZB/FmSdB1kBrm6trTASYCRUFDPnL53WScJQ2/hyTT1DgLppWFKm1LpUyWkw==
X-Received: by 2002:a2e:80d4:: with SMTP id r20mr2428827ljg.173.1557308584020; 
 Wed, 08 May 2019 02:43:04 -0700 (PDT)
Received: from localhost (enceladus.provocation.me.
 [2001:470:24:e81:76d4:35ff:feb0:d0bf])
 by smtp.gmail.com with ESMTPSA id l5sm3938051lfh.70.2019.05.08.02.43.01
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 08 May 2019 02:43:03 -0700 (PDT)
From: boris.dekshteyn@HIDDEN (Boris A. Dekshteyn)
To: bug-guix@HIDDEN
Subject: Re: bug#35575: Some graphical programs borked with Guix on Arch
References: <c276ed96-e5a0-975d-7954-77b8831487c0@HIDDEN>
 <f36c94c9-36f1-3f2a-d7f1-ea1c8ca47315@HIDDEN>
Date: Wed, 08 May 2019 21:42:56 +1200
In-Reply-To: <f36c94c9-36f1-3f2a-d7f1-ea1c8ca47315@HIDDEN> (Brendan
 Tildesley's message of "Tue, 7 May 2019 21:09:39 +1000")
Message-ID: <87sgtpz3hb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::235
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Brendan Tildesley <mail@HIDDEN> writes:

> Wow you are a genius, that fixed it. How did you know? Sorry I got no
> notification of your email, maybe because you emailed bug-guix instead
> of 35575 <at> debbugs.gnu.org.
>
> So that's fixed my issue but I wonder how it can be fixed in general so
> others don't have this issue.

I suspect that the problem is caused by the transition from llvm6 to
llvm7 in the mesa package.

So, i think, the right decision would be if mesa do check cache version
and invalidate it in case of mismatch.=20

On the other side =E2=80=94 Guix itself, like any other distribution, shoul=
d not
change the contents of user's home directories. May be, proper solution
will be indicate in the ~guix pull --news~, like it's implemented in debian
or gentoo.

--=20
WBR, Boris Dekshteyn




Information forwarded to bug-guix@HIDDEN:
bug#35575; Package guix. Full text available.

Message received at 35575 <at> debbugs.gnu.org:


Received: (at 35575) by debbugs.gnu.org; 7 May 2019 11:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 07 07:09:58 2019
Received: from localhost ([127.0.0.1]:58265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNxyw-0006Cs-1b
	for submit <at> debbugs.gnu.org; Tue, 07 May 2019 07:09:58 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:28724)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hNxyt-0006CZ-8C
 for 35575 <at> debbugs.gnu.org; Tue, 07 May 2019 07:09:56 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:1:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id 9F0554D5EA
 for <35575 <at> debbugs.gnu.org>; Tue,  7 May 2019 13:09:48 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1557227386; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:in-reply-to:
 references; bh=zNbQ4Zhb3vJhLY4UjfR8iHR+/0gAPlGDoDQ8+KdUBYk=;
 b=FLUfK1zxAN/jJpWWrWFpcUx5mGZnP2QdqS4TCFAO6khKkvHIzF6gwCHaDVd3WxEA98jr0h
 Dpyzztxfs9lteVV1P49EMXHgJqHjqJDKvJ5B51UaqsLKtzThQhWslzGdxpJUAwaiQUVxLL
 9O2iudbI5WdiX9bSoAJXBOnScflGzaXPyXdDZEpOtLvQ4dbcqI4quZtF9WPhwxtm/khw1a
 D4TQqWw2IWXLv7SDKfgdqheG12M5PQ3DZ9Wg4Hg/u/l9ZlkwvAS85rFhasyrD8WMcku5vZ
 /exNdPlMsrMmojCYXx2f/JYD2+Upe/FgqdoEYuOV+UI8kAIT4X0J9GPoXiTvXQ==
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id sV6Ei8rLYLxt for <35575 <at> debbugs.gnu.org>;
 Tue,  7 May 2019 13:09:43 +0200 (CEST)
To: 35575 <at> debbugs.gnu.org
From: Brendan Tildesley <mail@HIDDEN>
Subject: Re: bug#35575: Some graphical programs borked with Guix on Arch
Message-ID: <f36c94c9-36f1-3f2a-d7f1-ea1c8ca47315@HIDDEN>
Date: Tue, 7 May 2019 21:09:39 +1000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Language: en-AU
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 35575
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Wow you are a genius, that fixed it. How did you know? Sorry I got no
notification of your email, maybe because you emailed bug-guix instead
of 35575 <at> debbugs.gnu.org.

So that's fixed my issue but I wonder how it can be fixed in general so
others don't have this issue.





Information forwarded to bug-guix@HIDDEN:
bug#35575; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2019 10:34:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 06:34:22 2019
Received: from localhost ([127.0.0.1]:53071 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNETO-0004CH-ES
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 06:34:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35547)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1hNETL-0004C3-R2
 for submit <at> debbugs.gnu.org; Sun, 05 May 2019 06:34:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:45663)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <boris.dekshteyn@HIDDEN>)
 id 1hNETD-0005GY-Mq
 for submit <at> debbugs.gnu.org; Sun, 05 May 2019 06:34:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49920)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1hNETC-0006x9-Iy
 for bug-guix@HIDDEN; Sun, 05 May 2019 06:34:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <boris.dekshteyn@HIDDEN>) id 1hNETA-0005FH-KN
 for bug-guix@HIDDEN; Sun, 05 May 2019 06:34:09 -0400
Received: from mail-lf1-x132.google.com ([2a00:1450:4864:20::132]:45844)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <boris.dekshteyn@HIDDEN>)
 id 1hNET9-0005DB-Kz
 for bug-guix@HIDDEN; Sun, 05 May 2019 06:34:08 -0400
Received: by mail-lf1-x132.google.com with SMTP id q23so3433881lfc.12
 for <bug-guix@HIDDEN>; Sun, 05 May 2019 03:34:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version; bh=Cci6+MwkhEdW9Ewt8VZR0IuwTbgSFwNmlj0sppTGDQs=;
 b=GJC6gzGB3gPU2psIIFa/lGqJj5K5f5s9I2IgyQBvYBxbsv2hx3drc25J2quCq8wn4H
 FkgnB/KMocumX58QhWrSP6Wy0AJCLVaw5gAxq99kOyxbuqxyPXWkuY2uViJU+zuUYheH
 KiDB2vduZhAj0dlclGfLcQob6QdRbo/sB1yvJw+sFfkQBCknq4o5OwLzGq8DAFV+QTJN
 hVkoKAWN3wBCYO7fprwYhwCyKyhkDDQcjUZEFHmGjygFFXRroPPFLcIrX3/jjkwy/bAd
 TfNXgITnUaNG7CyMijZCNwvD+Iy58/MU8tHV1GHiLsgqRAapgoV1P/ZIR/q9upjD7XeX
 VU2g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Cci6+MwkhEdW9Ewt8VZR0IuwTbgSFwNmlj0sppTGDQs=;
 b=YzIbsTPOT5yLhbWiBCGPQoygkd+iUzHfFkShArLAmJad4+h7HGK7M6DRAL9N0y1Pou
 9bbJDyQfsJGvWt13+HBR0n8z9C0mDLUAUqIaj7inz66iTv6Z0UlTNHR6jy+3VHTwW5Aj
 JO6LFQhzLjPodxWmVf3YTXTYwABnzqtU+0SpybiFIYlLwLmCRXSeSvz0GN95c8Pg/+Fg
 EKpWYennrwfCV7PxuFz1g5OSfCm0qLmqrtPg2Yy2ecla7visC1l4H6/iORqWJoL8nz1b
 rDWZjIGpHf7wq7NpAdm6tPcEll69JsMNGIeSS4Y1zp3urv6Uf8Xd9aAhQ/+mPJRADkbh
 Gesg==
X-Gm-Message-State: APjAAAWmgm/MC5+UJb01OhJ/N/YVlxG+imB02eQ865GQ1GJkaTWba/vb
 bVFJMWLyx3p5RZjknKuFuz+35Psh
X-Google-Smtp-Source: APXvYqxKAwNz4tqnM/PLo27Ef5c+L4aWhK/iroc96w3Qod/m/WG+XYj7sx/UqURqjk9eHWXPMXFemQ==
X-Received: by 2002:a19:6d0b:: with SMTP id i11mr10800379lfc.147.1557052441551; 
 Sun, 05 May 2019 03:34:01 -0700 (PDT)
Received: from localhost (enceladus.provocation.me.
 [2001:470:24:e81:76d4:35ff:feb0:d0bf])
 by smtp.gmail.com with ESMTPSA id b28sm1452719lfj.37.2019.05.05.03.33.58
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 05 May 2019 03:34:00 -0700 (PDT)
From: boris.dekshteyn@HIDDEN (Boris A. Dekshteyn)
To: bug-guix@HIDDEN
Subject: Re: bug#35575: Some graphical programs borked with Guix on Arch
References: <c276ed96-e5a0-975d-7954-77b8831487c0@HIDDEN>
Date: Sun, 05 May 2019 22:33:53 +1200
In-Reply-To: <c276ed96-e5a0-975d-7954-77b8831487c0@HIDDEN> (Brendan
 Tildesley's message of "Sun, 5 May 2019 17:58:13 +1000")
Message-ID: <87zho1dwby.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::132
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi,

Brendan Tildesley <mail@HIDDEN> writes:

> Any one have any clues on how to debug such a thing?
>
> https://brendan.scot/p/borked-godot.png

check dmesg for something like:

--8<---------------cut here---------------start------------->8---
[  337.066640] amdgpu 0000:01:00.0: GPU fault detected: 146 0x0000480c for process Xorg pid 845 thread Xorg:cs0 pid 846
[  337.068114] amdgpu 0000:01:00.0:   VM_CONTEXT1_PROTECTION_FAULT_ADDR   0x00000000
[  337.069354] amdgpu 0000:01:00.0:   VM_CONTEXT1_PROTECTION_FAULT_STATUS 0x0404800C
[  337.070674] amdgpu 0000:01:00.0: VM fault (0x0c, vmid 2, pasid 32768) at page 0, read from 'TC0' (0x54433000) (72)
--8<---------------cut here---------------end--------------->8---

if you have something similar, try doing:

--8<---------------cut here---------------start------------->8---
rm -rf $HOME/.cache/mesa_shader_cache/
--8<---------------cut here---------------end--------------->8---

-- 
WBR, Boris Dekshteyn




Information forwarded to bug-guix@HIDDEN:
bug#35575; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2019 07:59:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 05 03:59:06 2019
Received: from localhost ([127.0.0.1]:52930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNC38-00007N-1s
	for submit <at> debbugs.gnu.org; Sun, 05 May 2019 03:59:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1hNC36-00006q-Iv
 for submit <at> debbugs.gnu.org; Sun, 05 May 2019 03:59:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:33178)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hNC31-0003Hd-51
 for submit <at> debbugs.gnu.org; Sun, 05 May 2019 03:58:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51268)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hNC30-00011z-3Z
 for bug-guix@HIDDEN; Sun, 05 May 2019 03:58:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1hNC2y-0003FR-SA
 for bug-guix@HIDDEN; Sun, 05 May 2019 03:58:58 -0400
Received: from mx2a.mailbox.org ([2001:67c:2050:104:0:2:25:2]:35142
 helo=mx2.mailbox.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1hNC2y-0003A8-JA
 for bug-guix@HIDDEN; Sun, 05 May 2019 03:58:56 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org [80.241.60.241])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id 713FAA01CD
 for <bug-guix@HIDDEN>; Sun,  5 May 2019 09:58:50 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=brendan.scot;
 s=MBO0001; t=1557043118; h=from:from:sender:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:mime-version:mime-version:
 content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:in-reply-to:
 references; bh=6uc/XZBsXL/3mkYvyJUYqWtPCTSinFBBvPDUCCgNlcM=;
 b=j+TqtMsnpvGTw2JdquMaEvgxb1OMX/PCB5zVY6ga8dh62iCb5fxLXMJyV71rzDH1Ub4TWe
 5bLLsLCsfhEHtUeeQ5lM96LNdFP3+A001Bg+AVGJXSnuViW66RN9ydfiu15/DKp5r21gJB
 s1zKeokn5GtLk476vAT+gf9y8CWNYJCxKK8asngNflxN52+6ZT1wcv07O38Fzp4ss951j8
 ehp4skZwP2A9cSpHZZYp5GmPz134dtjBznuH1BC25aVhJX08FGRle1Ldi1Ln3NWa8qVZLv
 ZmFi6/eyv1NMbjLnieIuyHBRqiL89B5ga/GpXXgahhZroGlunjFplkwM/SNaZw==
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter03.heinlein-hosting.de (spamfilter03.heinlein-hosting.de
 [80.241.56.117]) (amavisd-new, port 10030)
 with ESMTP id jJy5ExNFRXmh for <bug-guix@HIDDEN>;
 Sun,  5 May 2019 09:58:18 +0200 (CEST)
To: bug-guix@HIDDEN
From: Brendan Tildesley <mail@HIDDEN>
Subject: Some graphical programs borked with Guix on Arch
Message-ID: <c276ed96-e5a0-975d-7954-77b8831487c0@HIDDEN>
Date: Sun, 5 May 2019 17:58:13 +1000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Language: en-AU
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:67c:2050:104:0:2:25:2
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

With Guix on Arch, Running Guix's Godot and cool-retro-term programs
results in a completely garbled GUI. Godot ran with OpenGL ES2 instead
of ES3 looks a bit better except the fonts fail to render correctly.
Cool-retro-term complains about how using a variable width font may
cause display alignment issues, although I'm not sure that is related.
Perhaps it indicates it is a font issue? The Arch versions work just
fine. I haven't installed Guix System=C2=A0 on this machine yet so I'm no=
t
sure if they would work that way.

I have seen this kind of graphical artefact before with=C2=A0 KDE when I'=
ve
suspended my machine and it's come back all broken.. It may be related
to the fact that I have an AMD Radeon Fury X graphics card. (I haven't
explicitly installed any proprietary drivers; I think AMDGPU is free).

Any one have any clues on how to debug such a thing?

https://brendan.scot/p/borked-godot.png





Acknowledgement sent to Brendan Tildesley <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#35575; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 Mar 2020 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.